<%@ WebService Language="C#" Class="HttpGetEmployeeService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml;
using Jeffz.TypeConverterDemoTypes;
using Microsoft.Web.Services;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class HttpGetEmployeeService  : System.Web.Services.WebService {

	[WebMethod]
	[WebOperation(true, ResponseFormatMode.Xml)]
	public XmlDocument SubmitEmployee(Employee employee)
	{
		XmlDocument responseDoc = new XmlDocument();
		responseDoc.LoadXml(
			"<?xml-stylesheet type=\"text/xsl\" href=\"Employee.xsl\"?>" +
			"<Employee><Name></Name><Age></Age></Employee>");
		responseDoc.SelectSingleNode("//Name").InnerText = employee.Name;
		responseDoc.SelectSingleNode("//Age").InnerText = employee.Age.ToString();
		return responseDoc;
	}    
}

